> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download manual coupons file

> Downloads the current coupon pool for the manual coupon supplier as a file.



## OpenAPI

````yaml /api-reference/management.json get /v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons{extension}
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons{extension}:
    get:
      tags:
        - Reward Suppliers
      summary: Download manual coupons file
      description: >-
        Downloads the current coupon pool for the manual coupon supplier as a
        file.
      operationId: downloadManualCouponsFile
      parameters:
        - in: path
          name: reward_supplier_id
          required: true
          schema:
            type: string
        - in: path
          name: extension
          required: true
          schema:
            pattern: \.csv|\.txt
            type: string
        - in: query
          name: operation_id
          schema:
            nullable: true
            type: string
        - in: query
          name: issued
          schema:
            nullable: true
            type: boolean
        - in: query
          name: include_expired
          schema:
            nullable: true
            type: boolean
        - in: query
          name: limit
          schema:
            nullable: true
            type: string
        - in: query
          name: offset
          schema:
            nullable: true
            type: string
      responses:
        '200':
          content:
            application/octet-stream:
              schema:
                format: binary
                type: string
          description: Manual coupon file.
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                coupon_count_warn_limit_invalid:
                  $ref: '#/components/examples/coupon_count_warn_limit_invalid'
                coupon_pool_id_missing:
                  $ref: '#/components/examples/coupon_pool_id_missing'
                description_too_long:
                  $ref: '#/components/examples/description_too_long'
                display_name_too_long:
                  $ref: '#/components/examples/display_name_too_long'
                face_value_out_of_range:
                  $ref: '#/components/examples/face_value_out_of_range'
                illegal_character_in_description:
                  $ref: '#/components/examples/illegal_character_in_description'
                illegal_character_in_name:
                  $ref: '#/components/examples/illegal_character_in_name'
                illegal_value_of_minimum_coupon_lifetime:
                  $ref: >-
                    #/components/examples/illegal_value_of_minimum_coupon_lifetime
                invalid_cash_back_limits:
                  $ref: '#/components/examples/invalid_cash_back_limits'
                invalid_expiration_date:
                  $ref: '#/components/examples/invalid_expiration_date'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_limit:
                  $ref: '#/components/examples/invalid_limit'
                invalid_limits:
                  $ref: '#/components/examples/invalid_limits'
                invalid_offset:
                  $ref: '#/components/examples/invalid_offset'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                invalid_tag:
                  $ref: '#/components/examples/invalid_tag'
                limit_out_of_range:
                  $ref: '#/components/examples/limit_out_of_range'
                max_fetch_size_1000:
                  $ref: '#/components/examples/max_fetch_size_1000'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                name_too_long:
                  $ref: '#/components/examples/name_too_long'
                negative_cash_back_percentage:
                  $ref: '#/components/examples/negative_cash_back_percentage'
                negative_max_cash_back:
                  $ref: '#/components/examples/negative_max_cash_back'
                negative_min_cash_back:
                  $ref: '#/components/examples/negative_min_cash_back'
                not_an_upload_operation:
                  $ref: '#/components/examples/not_an_upload_operation'
                operation_id_missing:
                  $ref: '#/components/examples/operation_id_missing'
                operation_not_found:
                  $ref: '#/components/examples/operation_not_found'
                partner_reward_supplier_id_invalid:
                  $ref: '#/components/examples/partner_reward_supplier_id_invalid'
                reward_supplier_build_failed:
                  $ref: '#/components/examples/reward_supplier_build_failed'
                reward_supplier_duplicated_name:
                  $ref: '#/components/examples/reward_supplier_duplicated_name'
                reward_supplier_validation_failed:
                  $ref: '#/components/examples/reward_supplier_validation_failed'
                unsupported_face_value_algorithm_type:
                  $ref: '#/components/examples/unsupported_face_value_algorithm_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
                reward_supplier_not_found:
                  $ref: '#/components/examples/reward_supplier_not_found'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    coupon_count_warn_limit_invalid:
      summary: coupon_count_warn_limit_invalid
      value:
        code: coupon_count_warn_limit_invalid
        http_status_code: 400
        message: Coupon count warn limit must be a non-negative integer
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    coupon_pool_id_missing:
      summary: coupon_pool_id_missing
      value:
        code: coupon_pool_id_missing
        http_status_code: 400
        message: Coupon pool id is missing
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    description_too_long:
      summary: description_too_long
      value:
        code: description_too_long
        http_status_code: 400
        message: Description should not exceed the specified length limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    display_name_too_long:
      summary: display_name_too_long
      value:
        code: display_name_too_long
        http_status_code: 400
        message: Display name should not exceed the specified length limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    face_value_out_of_range:
      summary: face_value_out_of_range
      value:
        code: face_value_out_of_range
        http_status_code: 400
        message: Face value is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    illegal_character_in_description:
      summary: illegal_character_in_description
      value:
        code: illegal_character_in_description
        http_status_code: 400
        message: Description can only contain alphanumeric characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    illegal_character_in_name:
      summary: illegal_character_in_name
      value:
        code: illegal_character_in_name
        http_status_code: 400
        message: Name can only contain alphanumeric characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    illegal_value_of_minimum_coupon_lifetime:
      summary: illegal_value_of_minimum_coupon_lifetime
      value:
        code: illegal_value_of_minimum_coupon_lifetime
        http_status_code: 400
        message: Minimum coupon lifetime should be greater than 0
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_cash_back_limits:
      summary: invalid_cash_back_limits
      value:
        code: invalid_cash_back_limits
        http_status_code: 400
        message: Max cash back limit should greater or equal to min cash back limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_expiration_date:
      summary: invalid_expiration_date
      value:
        code: invalid_expiration_date
        http_status_code: 400
        message: Expiration date is invalid or not ISO-8601 compliant
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_limit:
      summary: invalid_limit
      value:
        code: invalid_limit
        http_status_code: 400
        message: Limit should be a non negative integer
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_limits:
      summary: invalid_limits
      value:
        code: invalid_limits
        http_status_code: 400
        message: Limit per day should be greater or equal to limit per hour
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_offset:
      summary: invalid_offset
      value:
        code: invalid_offset
        http_status_code: 400
        message: Offset should be a non negative integer
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_tag:
      summary: invalid_tag
      value:
        code: invalid_tag
        http_status_code: 400
        message: Invalid tag
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    limit_out_of_range:
      summary: limit_out_of_range
      value:
        code: limit_out_of_range
        http_status_code: 400
        message: Limit is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    max_fetch_size_1000:
      summary: max_fetch_size_1000
      value:
        code: max_fetch_size_1000
        http_status_code: 400
        message: Maximum allowed difference between limit and offset should be 1000
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    name_too_long:
      summary: name_too_long
      value:
        code: name_too_long
        http_status_code: 400
        message: Name should not exceed the specified length limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    negative_cash_back_percentage:
      summary: negative_cash_back_percentage
      value:
        code: negative_cash_back_percentage
        http_status_code: 400
        message: Cash back percentage should be a non negative number
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    negative_max_cash_back:
      summary: negative_max_cash_back
      value:
        code: negative_max_cash_back
        http_status_code: 400
        message: Max cash back limit should be a non negative number
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    negative_min_cash_back:
      summary: negative_min_cash_back
      value:
        code: negative_min_cash_back
        http_status_code: 400
        message: Min cash back limit should be a non negative number
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    not_an_upload_operation:
      summary: not_an_upload_operation
      value:
        code: not_an_upload_operation
        http_status_code: 400
        message: Not an upload operation
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    operation_id_missing:
      summary: operation_id_missing
      value:
        code: operation_id_missing
        http_status_code: 400
        message: Query parameter operation_id is missing
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    operation_not_found:
      summary: operation_not_found
      value:
        code: operation_not_found
        http_status_code: 400
        message: Operation not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    partner_reward_supplier_id_invalid:
      summary: partner_reward_supplier_id_invalid
      value:
        code: partner_reward_supplier_id_invalid
        http_status_code: 400
        message: Partner reward supplier id is too long, max length is 255
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_build_failed:
      summary: reward_supplier_build_failed
      value:
        code: reward_supplier_build_failed
        http_status_code: 400
        message: Reward supplier build failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_duplicated_name:
      summary: reward_supplier_duplicated_name
      value:
        code: reward_supplier_duplicated_name
        http_status_code: 400
        message: Reward supplier with such name already exists
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_validation_failed:
      summary: reward_supplier_validation_failed
      value:
        code: reward_supplier_validation_failed
        http_status_code: 400
        message: Reward supplier validation failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_face_value_algorithm_type:
      summary: unsupported_face_value_algorithm_type
      value:
        code: unsupported_face_value_algorithm_type
        http_status_code: 400
        message: Face value algorithm type is not supported for this reward supplier
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_not_found:
      summary: reward_supplier_not_found
      value:
        code: reward_supplier_not_found
        http_status_code: 403
        message: Reward supplier not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  schemas:
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````